# Order

## Get Orders

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of orders.

#### Query Parameters

| Name                                      | Type   | Description                                                                                                    |
| ----------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETORDERS”                                                                                                    |
| warehousecode                             | String | Warehouse Code                                                                                                 |
| topaymentamount                           | Double | Maximum payment amount                                                                                         |
| frompaymentamount                         | Double | Minimum payment amount                                                                                         |
| toamount                                  | Double | Maximum amount                                                                                                 |
| fromamount                                | Double | Minimum amount                                                                                                 |
| updatedatetimebefore                      | String | <p>Updated Datetime Before .....<br>(yyyy-MM-dd HH:mm)</p>                                                     |
| updatedatetimeafter                       | String | <p>Updated Datetime After .....<br>(yyyy-MM-dd HH:mm)</p>                                                      |
| createdatetimebefore                      | String | <p>Created Datetime Before .....<br>(yyyy-MM-dd HH:mm)</p>                                                     |
| createdatetimeafter                       | String | <p>Created Datetime After .....<br>(yyyy-MM-dd HH:mm)</p>                                                      |
| paymentbefore                             | String | <p>Paid Date Before .....<br>(yyyy-MM-dd)</p>                                                                  |
| paymentafter                              | String | <p>Paid Date After .....<br>(yyyy-MM-dd)</p>                                                                   |
| updatedbefore                             | String | <p>Updated Date Before .....<br>(yyyy-MM-dd)</p>                                                               |
| updatedafter                              | String | <p>Updated Date After .....<br>(yyyy-MM-dd)</p>                                                                |
| createdbefore                             | String | <p>Created Date Before .....<br>(yyyy-MM-dd)</p>                                                               |
| createdafter                              | String | <p>Created Date After .....<br>(yyyy-MM-dd)</p>                                                                |
| orderdatebefore                           | String | <p>Order Date Before .....<br>(yyyy-MM-dd)</p>                                                                 |
| orderdateafter                            | String | <p>Order Date After .....<br>(yyyy-MM-dd)</p>                                                                  |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                                              |
| format                                    | String | json (Default), xml                                                                                            |
| saleschannel                              | String | Sales channel                                                                                                  |
| expirylot                                 | Int    | <p>Show expiry lot status<br>0 - No (Default)<br>1 - Yes</p>                                                   |
| serialno                                  | Int    | <p>Show serial no status<br>0 - No (Default)<br>1 - Yes</p>                                                    |
| paymentstatus                             | String | <p>Payment status<br>0 - Pending<br>1 - Paid<br>2 - Voided<br>3 - Partial<br>4 - Overpaid<br>Ex. "0,1,3,4"</p> |
| status                                    | String | <p>Status<br>0 - Pending<br>1 - Success<br>2 - Voided<br>3 - Waiting<br>Ex. "0,1,3,4"</p>                      |
| createusername                            | String | Created by (Username)                                                                                          |
| limit                                     | Int    | Limit per page (Max = 2000)                                                                                    |
| page                                      | Int    | Page (Default = 1)                                                                                             |
| keyword                                   | String | Keyword to search                                                                                              |

#### Headers

| Name                                        | Type   | Description                                                |
| ------------------------------------------- | ------ | ---------------------------------------------------------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name                                                 |
| numberlist                                  | String | <p>List Of Order Number <br>Ex. “SO-001,SO-002,SO-003”</p> |
| orderidlist                                 | String | <p>List Of Order ID <br>Ex. “123,124,125”</p>              |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret                                                 |
| apikey<mark style="color:red;">\*</mark>    | String | API Key                                                    |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Property (Array) | Type   | Description/Example |
| ---------------- | ------ | ------------------- |
| id               | Int    | Property ID         |
| name             | String | Property Name       |
| value            | String | Property Value      |

| Agent   | Type   | Description/Example |
| ------- | ------ | ------------------- |
| id      | Int    | Agent ID            |
| name    | String | Agent Name          |
| phone   | String | Agent Phone         |
| email   | String | Agent Email         |
| address | String | Agent Address       |

| ExpiryLot (Array) | Type   | Description/Example |
| ----------------- | ------ | ------------------- |
| id                | Int    | Expiry lot ID       |
| name              | String | Expiry lot Name     |
| number            | Double | Expiry lot Quantity |
| expiryDate        | Date   | Expired Date        |

| SerialNo (Array) | Type   | Description/Example |
| ---------------- | ------ | ------------------- |
| id               | Int    | Serial no ID        |
| name             | String | Serial no Name      |

<table><thead><tr><th width="160.43423319931074">Payment (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Payment ID</td></tr><tr><td>name</td><td>String</td><td>Payment Method Name</td></tr><tr><td>amount</td><td>Double</td><td>Payment Amount</td></tr><tr><td>paymentdatetime</td><td>Datetime</td><td>Payment Datetime</td></tr><tr><td>paymentdatetimeString</td><td>String</td><td>Payment Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr></tbody></table>

<table><thead><tr><th width="151">OrderProduct (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>productid</td><td>Int</td><td>Product ID</td></tr><tr><td>sku</td><td>String</td><td>Product Sku</td></tr><tr><td>name</td><td>String</td><td>Product Name</td></tr><tr><td>number</td><td>Double</td><td>Product Quantity</td></tr><tr><td>unittext</td><td>String</td><td>Unit</td></tr><tr><td>pricepernumber</td><td>Double</td><td>Product Price/Quantity</td></tr><tr><td>discount</td><td>String</td><td>Discount Per Unit</td></tr><tr><td>discountamount</td><td>Double</td><td>Total discount of product line.</td></tr><tr><td>totalprice</td><td>Double</td><td>Total Price</td></tr><tr><td>bundleid</td><td>Int (Nullable)</td><td>Bundle ID</td></tr><tr><td>bundleitemid</td><td>Int (Nullable)</td><td>ID of bundle group in product line.</td></tr><tr><td>bundlenumber</td><td>Double (Nullable)</td><td>Bundle Quantity</td></tr><tr><td>bundleCode</td><td>String</td><td>Bundle Code/Sku</td></tr><tr><td>bundleName</td><td>String</td><td>Bundle Name</td></tr><tr><td>integrationItemId</td><td>String</td><td>Item Id of Integration.</td></tr><tr><td>integrationVariantId</td><td>String</td><td>Variant Id of Integration.</td></tr><tr><td>serialnolist</td><td>SerialNo (Array)</td><td>Serial no List</td></tr><tr><td>expirylotlist</td><td>ExpiryLot (Array)</td><td>Expiry lot List</td></tr></tbody></table>

<table><thead><tr><th width="150">Order (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Order ID</td></tr><tr><td>number</td><td>String</td><td>Order Number</td></tr><tr><td>customerid</td><td>Int</td><td>Customer ID</td></tr><tr><td>customercode</td><td>String</td><td>Customer Code</td></tr><tr><td>customername</td><td>String</td><td>Customer Name</td></tr><tr><td>customeridnumber</td><td>String</td><td>Customer ID Number/Tax ID</td></tr><tr><td>customeremail</td><td>String</td><td>Customer Email</td></tr><tr><td>customerphone</td><td>String</td><td>Customer Phone</td></tr><tr><td>customeraddress</td><td>String</td><td>Customer Address</td></tr><tr><td>customerbranchname</td><td>String</td><td>Customer Branch Name</td></tr><tr><td>customerbranchno</td><td>String</td><td>Customer Branch No</td></tr><tr><td>status</td><td>String</td><td>Status (Pending, Waiting, Packed, Shipping, Success, Partial Transfer, Voided)</td></tr><tr><td>paymentstatus</td><td>String</td><td>Payment Status (Pending, Paid, Partial Payment, Excess Payment)</td></tr><tr><td>amount</td><td>Double</td><td>Net Amount</td></tr><tr><td>vatamount</td><td>Double</td><td>Vat Amount</td></tr><tr><td>shippingchannel</td><td>String</td><td>Shipping Channel</td></tr><tr><td>shippingamount</td><td>Double</td><td>Shipping Amount</td></tr><tr><td>shippingvat</td><td>Int</td><td>Shipping Vat Status<br>0 - No Shipping Vat <br>1 - Have Shipping Vat</td></tr><tr><td>shippingdate</td><td>Date</td><td>Shipping Date</td></tr><tr><td>shippingdateString</td><td>String</td><td>Shipping Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>shippingname</td><td>String</td><td>Shipping Name</td></tr><tr><td>shippingaddress</td><td>String</td><td>Shipping Address</td></tr><tr><td>shippingphone</td><td>String</td><td>Shipping Phone</td></tr><tr><td>shippingemail</td><td>String</td><td>Shipping Email</td></tr><tr><td>trackingno</td><td>String</td><td>Tracking No</td></tr><tr><td>orderdate</td><td>Date</td><td>Order Date</td></tr><tr><td>orderdateString</td><td>String</td><td>Order Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>paymentamount</td><td>Double</td><td>Payment Amount</td></tr><tr><td>reference</td><td>String</td><td>Reference</td></tr><tr><td>description</td><td>String</td><td>Description</td></tr><tr><td>discount</td><td>String</td><td>Discount.<br>Discount includes sellerdiscount and platformdiscount.<br>Ex.5.00, 10%</td></tr><tr><td>sellerdiscount</td><td>Double</td><td>Seller Discount</td></tr><tr><td>platformdiscount</td><td>Double</td><td>Platform Discount.<br>This discount is subsidized from Marketplace for buyer. (Ex. Lazada, Shopee, JDCentral)</td></tr><tr><td>voucheramount</td><td>Double</td><td>Subsidized Amount from Marketplace for seller.</td></tr><tr><td>discountamount</td><td>Double</td><td>Total summary of order discount. (Include discount and voucheramount).<br>discountamount = discount - voucheramount<br>discountamount = sellerdiscount + platformdiscount - voucheramount</td></tr><tr><td>vattype</td><td>Int</td><td>Vat Type <br>1 – No Vat (Default) <br>2 – Exclude VAT<br>3 – Include VAT</td></tr><tr><td>saleschannel</td><td>String</td><td>Sales Channel</td></tr><tr><td>warehousecode</td><td>String</td><td>Warehouse Code</td></tr><tr><td>list</td><td>OrderProduct (Array)</td><td>Product List</td></tr><tr><td>totalproductamount</td><td>Double</td><td>Total Product Price of Product List</td></tr><tr><td>payments</td><td>Payment (Array)</td><td>Payment List</td></tr><tr><td>tag</td><td>String (Array)</td><td>Tag List (Array)</td></tr><tr><td>createdatetime</td><td>Datetime</td><td>Created Datetime</td></tr><tr><td>createdatetimeString</td><td>String</td><td>Created Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr><tr><td>updatedatetime</td><td>Datetime</td><td>Updated Datetime</td></tr><tr><td>updatedatetimeString</td><td>String</td><td>Updated Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr><tr><td>expiredate</td><td>Date</td><td>Expired Date</td></tr><tr><td>expiredateString</td><td>String</td><td>Expired Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>createuserid</td><td>Int</td><td>Created User ID</td></tr><tr><td>createusername</td><td>String</td><td>Created User (Username)</td></tr><tr><td>createdby</td><td>String</td><td>Created User (Display name)</td></tr><tr><td>isCOD</td><td>Boolean</td><td>COD Status</td></tr><tr><td>integrationName</td><td>String</td><td>Integration Channel Name (Only Order from Integrated Channel.)</td></tr><tr><td>integrationShop</td><td>String</td><td>Integration Shop Name (Only Order from Integrated Channel.)</td></tr><tr><td>agent</td><td>Agent</td><td>Agent Detail</td></tr><tr><td>uniquenumber</td><td>String</td><td>Unique Number</td></tr><tr><td>properties</td><td>Property (Array)</td><td>Custom Properties List</td></tr></tbody></table>

| Parameter | Type          | Description/Example                   |
| --------- | ------------- | ------------------------------------- |
| res       | Response      | <p>Response Code <br>200- Success</p> |
| list      | Order (Array) | Order List (Array)                    |
| count     | Int           | Total order number by filter          |

## Get Order Detail

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get order detail.

#### Query Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETORDERDETAIL”    |
| version<mark style="color:red;">\*</mark> | String | 3                   |
| format                                    | String | json (Default), xml |
| id<mark style="color:red;">\*</mark>      | Int    | Order ID            |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Property (Array) | Type   | Description/Example |
| ---------------- | ------ | ------------------- |
| id               | Int    | Property ID         |
| name             | String | Property Name       |
| value            | String | Property Value      |

<table><thead><tr><th width="191">Agent</th><th>Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Agent ID</td></tr><tr><td>name</td><td>String</td><td>Agent Name</td></tr><tr><td>phone</td><td>String</td><td>Agent Phone</td></tr><tr><td>email</td><td>String</td><td>Agent Email</td></tr><tr><td>address</td><td>String</td><td>Agent Address</td></tr></tbody></table>

<table><thead><tr><th width="155.33333333333331">ExpiryLot (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Expiry lot ID</td></tr><tr><td>name</td><td>String</td><td>Expiry lot Name</td></tr><tr><td>number</td><td>Double</td><td>Expiry lot Quantity</td></tr><tr><td>expiryDate</td><td>Date</td><td>Expired Date</td></tr></tbody></table>

<table><thead><tr><th width="150">SerialNo (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Serial no ID</td></tr><tr><td>name</td><td>String</td><td>Serial no Name</td></tr></tbody></table>

<table><thead><tr><th width="175.35455543358947">Payment (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Payment ID</td></tr><tr><td>name</td><td>String</td><td>Payment Method Name</td></tr><tr><td>amount</td><td>Double</td><td>Payment Amount</td></tr><tr><td>paymentdatetime</td><td>Datetime</td><td>Payment Datetime</td></tr><tr><td>paymentdatetimeString</td><td>String</td><td>Payment Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr></tbody></table>

<table><thead><tr><th width="163">OrderProduct (Array)</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>productid</td><td>Int</td><td>Product ID</td></tr><tr><td>sku</td><td>String</td><td>Product Sku</td></tr><tr><td>name</td><td>String</td><td>Product Name</td></tr><tr><td>number</td><td>Double</td><td>Product Quantity</td></tr><tr><td>unittext</td><td>String</td><td>Unit</td></tr><tr><td>pricepernumber</td><td>Double</td><td>Product Price/Quantity</td></tr><tr><td>discount</td><td>String</td><td>Discount Per Unit</td></tr><tr><td>discountamount</td><td>Double</td><td>Total discount of product line.</td></tr><tr><td>totalprice</td><td>Double</td><td>Total Price</td></tr><tr><td>bundleid</td><td>Int (Nullable)</td><td>Bundle ID</td></tr><tr><td>bundleitemid</td><td>Int (Nullable)</td><td>ID of bundle group in product line.</td></tr><tr><td>bundlenumber</td><td>Double (Nullable)</td><td>Bundle Quantity</td></tr><tr><td>bundleCode</td><td>String</td><td>Bundle Code/Sku</td></tr><tr><td>bundleName</td><td>String</td><td>Bundle Name</td></tr><tr><td>integrationItemId</td><td>String</td><td>Item Id of Integration.</td></tr><tr><td>integrationVariantId</td><td>String</td><td>Variant Id of Integration.</td></tr><tr><td>serialnolist</td><td>SerialNo (Array)</td><td>Serial no List</td></tr><tr><td>expirylotlist</td><td>ExpiryLot (Array)</td><td>Expiry lot List</td></tr></tbody></table>

<table><thead><tr><th width="150">Parameter</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>Order ID</td></tr><tr><td>number</td><td>String</td><td>Order Number</td></tr><tr><td>customerid</td><td>Int</td><td>Customer ID</td></tr><tr><td>customercode</td><td>String</td><td>Customer Code</td></tr><tr><td>customername</td><td>String</td><td>Customer Name</td></tr><tr><td>customeridnumber</td><td>String</td><td>Customer ID Number/Tax ID</td></tr><tr><td>customeremail</td><td>String</td><td>Customer Email</td></tr><tr><td>customerphone</td><td>String</td><td>Customer Phone</td></tr><tr><td>customeraddress</td><td>String</td><td>Customer Address</td></tr><tr><td>customerbranchname</td><td>String</td><td>Customer Branch Name</td></tr><tr><td>customerbranchno</td><td>String</td><td>Customer Branch No</td></tr><tr><td>status</td><td>String</td><td>Status (Pending, Waiting, Packed, Shipping, Success, Partial Transfer, Voided)</td></tr><tr><td>paymentstatus</td><td>String</td><td>Payment Status (Pending, Paid, Partial Payment, Excess Payment)</td></tr><tr><td>amount</td><td>Double</td><td>Net Amount</td></tr><tr><td>vatamount</td><td>Double</td><td>Vat Amount</td></tr><tr><td>shippingchannel</td><td>String</td><td>Shipping Channel</td></tr><tr><td>shippingamount</td><td>Double</td><td>Shipping Amount</td></tr><tr><td>shippingvat</td><td>Int</td><td>Shipping Vat Status <br>0 - No Shipping Vat <br>1 - Have Shipping Vat</td></tr><tr><td>shippingdate</td><td>Date</td><td>Shipping Date</td></tr><tr><td>shippingdateString</td><td>String</td><td>Shipping Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>shippingname</td><td>String</td><td>Shipping Name</td></tr><tr><td>shippingaddress</td><td>String</td><td>Shipping Address</td></tr><tr><td>shippingphone</td><td>String</td><td>Shipping Phone</td></tr><tr><td>shippingemail</td><td>String</td><td>Shipping Email</td></tr><tr><td>trackingno</td><td>String</td><td>Tracking No</td></tr><tr><td>orderdate</td><td>Date</td><td>Order Date</td></tr><tr><td>orderdateString</td><td>String</td><td>Order Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>paymentamount</td><td>Double</td><td>Payment Amount</td></tr><tr><td>reference</td><td>String</td><td>Reference</td></tr><tr><td>description</td><td>String</td><td>Description</td></tr><tr><td>discount</td><td>String</td><td>Discount.<br>Discount includes sellerdiscount and platformdiscount.<br>Ex.5.00, 10%</td></tr><tr><td>sellerdiscount</td><td>Double</td><td>Seller Discount</td></tr><tr><td>platformdiscount</td><td>Double</td><td>Platform Discount.<br>This discount is subsidized from Marketplace for buyer. (Ex. Lazada, Shopee, JDCentral)</td></tr><tr><td>voucheramount</td><td>Double</td><td>Subsidized Amount from Marketplace for seller.</td></tr><tr><td>discountamount</td><td>Double</td><td>Total summary of order discount. (Include discount and voucheramount).<br>discountamount = discount - voucheramount<br>discountamount = sellerdiscount + platformdiscount - voucheramount</td></tr><tr><td>vattype</td><td>Int</td><td>Vat Type <br>1 – No Vat (Default) <br>2 – Exclude Vat<br>3 – Include Vat</td></tr><tr><td>saleschannel</td><td>String</td><td>Sales Channel</td></tr><tr><td>warehousecode</td><td>String</td><td>Warehouse Code</td></tr><tr><td>list</td><td>OrderProduct (Array)</td><td>Product List</td></tr><tr><td>totalproductamount</td><td>Double</td><td>Total Product Price of Product List</td></tr><tr><td>payments</td><td>Payment (Array)</td><td>Payment List</td></tr><tr><td>tag</td><td>String (Array)</td><td>Tag List (Array)</td></tr><tr><td>createdatetime</td><td>Datetime</td><td>Created Datetime</td></tr><tr><td>createdatetimeString</td><td>String</td><td>Created Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr><tr><td>updatedatetime</td><td>Datetime</td><td>Updated Datetime</td></tr><tr><td>updatedatetimeString</td><td>String</td><td>Updated Datetime Text <br>(yyyy-MM-dd HH:mm)</td></tr><tr><td>expiredate</td><td>Date</td><td>Expired Date</td></tr><tr><td>expiredateString</td><td>String</td><td>Expired Date Text <br>(yyyy-MM-dd)</td></tr><tr><td>createuserid</td><td>Int</td><td>Created User ID</td></tr><tr><td>createusername</td><td>String</td><td>Created User (Username)</td></tr><tr><td>createdby</td><td>String</td><td>Created User (Display name)</td></tr><tr><td>isCOD</td><td>Boolean</td><td>COD Status</td></tr><tr><td>integrationName</td><td>String</td><td>Integration Channel Name (Only Order from Integrated Channel.)</td></tr><tr><td>integrationShop</td><td>String</td><td>Integration Shop Name (Only Order from Integrated Channel.)</td></tr><tr><td>agent</td><td>Agent</td><td>Agent Detail</td></tr><tr><td>uniquenumber</td><td>String</td><td>Unique Number</td></tr><tr><td>properties</td><td>Property (Array)</td><td>Custom Properties List</td></tr></tbody></table>

## Get Voucher Detail

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of voucher subsidized by Marketplace.

#### Query Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETVOUCHERDETAIL”  |
| id<mark style="color:red;">\*</mark>      | Int    | Order ID            |
| version<mark style="color:red;">\*</mark> | String | 3                   |
| format                                    | String | json (Default), xml |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Voucher (Array) | Type   | Description/Example |
| --------------- | ------ | ------------------- |
| id              | Int    | ID                  |
| name            | String | Voucher Name        |
| amount          | Double | Amount              |

## Get Expense Order Detail

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of expenses of order.

#### Query Parameters

| Name                                      | Type   | Description             |
| ----------------------------------------- | ------ | ----------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETEXPENSEORDERDETAIL” |
| id<mark style="color:red;">\*</mark>      | Int    | Order ID                |
| version<mark style="color:red;">\*</mark> | String | 3                       |
| format                                    | String | json (Default), xml     |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Expense (Array)       | Type     | Description/Example                                      |
| --------------------- | -------- | -------------------------------------------------------- |
| id                    | Int      | ID                                                       |
| name                  | String   | Expense Name                                             |
| amount                | Double   | Amount                                                   |
| paymentname           | String   | Payment Method Name                                      |
| paymentdatetime       | Datetime | Payment Datetime                                         |
| paymentdatetimeString | String   | <p>Payment Datetime Text <br>(yyyy-MM-dd HH:mm)</p>      |
| isvat                 | Int      | <p>Vat Status</p><p>0 - No Vat</p><p>1 - Include Vat</p> |

## Get Movement Order Detail

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get movement list of products according to each order.

#### Query Parameters

| Name                                      | Type   | Description               |
| ----------------------------------------- | ------ | ------------------------- |
| method<mark style="color:red;">\*</mark>  | String | ““GETMOVEMENTORDERDETAIL” |
| id<mark style="color:red;">\*</mark>      | Int    | Order ID                  |
| version<mark style="color:red;">\*</mark> | String | 3                         |
| format                                    | String | json (Default), xml       |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| OrderProduct (Array) | Type   | Description/Example    |
| -------------------- | ------ | ---------------------- |
| productid            | Int    | Product ID             |
| sku                  | String | Product Sku            |
| name                 | String | Product Name           |
| number               | Double | Product Quantity       |
| unittext             | String | Unit                   |
| pricepernumber       | Double | Product Price/Quantity |
| discount             | String | Discount Per Unit      |
| totalprice           | Double | Total Price            |

| MovementOrder (Array) | Type                 | Description/Example                              |
| --------------------- | -------------------- | ------------------------------------------------ |
| id                    | Int                  | ID                                               |
| list                  | OrderProduct (Array) | Movement List                                    |
| actionDate            | Date (Array)         | List of action date                              |
| actionDateString      | String (Array)       | <p>List of action date text <br>(yyyy-MM-dd)</p> |
| orderid               | Int                  | Order ID                                         |

## Get Movement Orders

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get movement list of products for orders.

#### Query Parameters

| Name                                         | Type   | Description                              |
| -------------------------------------------- | ------ | ---------------------------------------- |
| method<mark style="color:red;">\*</mark>     | String | “GETMOVEMENTORDERS”                      |
| limit                                        | Int    | Limit per page (Max = 2000)              |
| page                                         | Int    | Page (Default = 1)                       |
| warehousecode                                | String | Warehouse Code                           |
| datebefore<mark style="color:red;">\*</mark> | String | <p>Date Before .....<br>(yyyy-MM-dd)</p> |
| dateafter<mark style="color:red;">\*</mark>  | String | <p>Date After .....<br>(yyyy-MM-dd)</p>  |
| version<mark style="color:red;">\*</mark>    | String | 3                                        |
| format                                       | String | json (Default), xml                      |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| OrderProduct (Array) | Type   | Description/Example    |
| -------------------- | ------ | ---------------------- |
| productid            | Int    | Product ID             |
| sku                  | String | Product Sku            |
| name                 | String | Product Name           |
| number               | Double | Product Quantity       |
| unittext             | String | Unit                   |
| pricepernumber       | Double | Product Price/Quantity |
| discount             | String | Discount Per Unit      |
| totalprice           | Double | Total Price            |

| MovementOrder (Array) | Type                 | Description/Example                              |
| --------------------- | -------------------- | ------------------------------------------------ |
| id                    | Int                  | ID                                               |
| list                  | OrderProduct (Array) | Movement List                                    |
| actionDate            | Date (Array)         | List of action date                              |
| actionDateString      | String (Array)       | <p>List of action date text <br>(yyyy-MM-dd)</p> |
| orderid               | Int                  | Order ID                                         |

| Parameter | Type                  | Description/Example                   |
| --------- | --------------------- | ------------------------------------- |
| res       | Response              | <p>Response Code <br>200- Success</p> |
| list      | MovementOrder (Array) | Movement Order List (Array)           |
| count     | Int                   | Total movement order number by filter |

## Get Shipment Labels

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get shipment label list of orders.

#### Query Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| method<mark style="color:red;">\*</mark>  | String | "GETSHIPMENTLABELS" |
| version<mark style="color:red;">\*</mark> | String | 3                   |
| format                                    | String | json (Default), xml |

#### Headers

| Name                                        | Type   | Description                                                |
| ------------------------------------------- | ------ | ---------------------------------------------------------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name                                                 |
| orderidlist                                 | String | <p>List Of Order ID <br>Ex. “123,124,125”</p>              |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret                                                 |
| apikey<mark style="color:red;">\*</mark>    | String | API Key                                                    |
| numberlist                                  | String | <p>List Of Order Number <br>Ex. “SO-001,SO-002,SO-003”</p> |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| ShipmentLabel (Array) | Type        | Description/Example                                                                                                               |
| --------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------- |
| linkurl               | String      | Url of Shipment Label                                                                                                             |
| type                  | String      | <p>Type of Shipment Label.<br>Ex. "general, lazada, shopee, jdcentral, tiktok, flashexpress, jtexpress, kerry, shopeeexpress"</p> |
| list                  | Int (Array) | List Of Order ID                                                                                                                  |

## Add Order

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Add order.

#### Query Parameters

| Name                                      | Type   | Description                                                                                 |
| ----------------------------------------- | ------ | ------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “ADDORDER”                                                                                  |
| link                                      | Int    | <p>Link to generate.</p><p>0 – None (Default)<br>1 – Share link</p>                         |
| uniquenumber                              | String | <p>Unique Number.</p><p>This value is unique and used to prevent duplicate transaction.</p> |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                           |
| format                                    | String | json (Default), xml                                                                         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

#### Request Body

| Name                                               | Type                 | Description                                                                                                                                                                                                                                                                      |
| -------------------------------------------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| number<mark style="color:red;">\*</mark>           | String               | Order Number                                                                                                                                                                                                                                                                     |
| vatamount                                          | Double               | Vat Amount                                                                                                                                                                                                                                                                       |
| amount<mark style="color:red;">\*</mark>           | Double               | Net Amount                                                                                                                                                                                                                                                                       |
| status                                             | String               | <p>Status (Pending,Success) <br>Default - Pending</p>                                                                                                                                                                                                                            |
| reference                                          | String               | Reference                                                                                                                                                                                                                                                                        |
| customeraddress                                    | String               | Customer Address                                                                                                                                                                                                                                                                 |
| customerphone                                      | String               | Customer Phone                                                                                                                                                                                                                                                                   |
| customeremail                                      | String               | Customer Email                                                                                                                                                                                                                                                                   |
| customeridnumber                                   | String               | Customer ID Number/Tax ID                                                                                                                                                                                                                                                        |
| customername                                       | String               | Customer Name                                                                                                                                                                                                                                                                    |
| shippingaddress                                    | String               | Shipping Address                                                                                                                                                                                                                                                                 |
| shippingname                                       | String               | Shipping Name                                                                                                                                                                                                                                                                    |
| shippingdate                                       | String               | <p>Shipping Date</p><p>Ex. “2021-09-15”</p>                                                                                                                                                                                                                                      |
| shippingvat                                        | Int                  | <p>Shipping Vat Status <br>0 - No Shipping Vat (Default) <br>1 – Have Shipping Vat</p>                                                                                                                                                                                           |
| shippingamount                                     | Double               | Shipping Amount                                                                                                                                                                                                                                                                  |
| shippingchannel                                    | String               | Shipping Channel                                                                                                                                                                                                                                                                 |
| trackingno                                         | String               | Tracking No                                                                                                                                                                                                                                                                      |
| shippingemail                                      | String               | Shipping Email                                                                                                                                                                                                                                                                   |
| shippingphone                                      | String               | Shipping Phone                                                                                                                                                                                                                                                                   |
| paymentamount                                      | Double               | <p>Payment Amount</p><p>("paymentmethod" must be required.)</p>                                                                                                                                                                                                                  |
| paymentmethod                                      | String               | Payment Method                                                                                                                                                                                                                                                                   |
| orderdate                                          | String               | <p>Order Date<br>Ex. "2021-09-15"</p>                                                                                                                                                                                                                                            |
| ∟ sku<mark style="color:red;">\*</mark>            | String               | Product Sku                                                                                                                                                                                                                                                                      |
| list                                               | OrderProduct (Array) | Product List                                                                                                                                                                                                                                                                     |
| warehousecode                                      | String               | Warehouse Code                                                                                                                                                                                                                                                                   |
| saleschannel                                       | String               | Sales Channel                                                                                                                                                                                                                                                                    |
| discount                                           | String               | <p>Discount <br>Ex. 5.00, 10%</p>                                                                                                                                                                                                                                                |
| description                                        | String               | Description                                                                                                                                                                                                                                                                      |
| paymentdate                                        | String               | <p>Payment Datetime <br>Ex. “2021-09-15 21:05”</p>                                                                                                                                                                                                                               |
| ∟ totalprice<mark style="color:red;">\*</mark>     | Double               | Total Price                                                                                                                                                                                                                                                                      |
| ∟ discount                                         | String               | Discount Per Unit                                                                                                                                                                                                                                                                |
| ∟ pricepernumber<mark style="color:red;">\*</mark> | Double               | Product Price/Quantity                                                                                                                                                                                                                                                           |
| ∟ name<mark style="color:red;">\*</mark>           | String               | Product Name                                                                                                                                                                                                                                                                     |
| ∟ number<mark style="color:red;">\*</mark>         | Double               | Product Quantity                                                                                                                                                                                                                                                                 |
| tag                                                | String (Array)       | Tag List (Array)                                                                                                                                                                                                                                                                 |
| vattype                                            | Int                  | <p>Vat Type <br>1 – No Vat<br>2 – Exclude Vat<br>3 – Include Vat<br>If vattype is not defined, the system will use vatamount to calculate and define automatically.<br>If vattype = 1, 2 or 3, the system will ignore vatamount and calculate vatamount value automatically.</p> |
| isCOD                                              | Boolean              | COD Status                                                                                                                                                                                                                                                                       |
| customerbranchname                                 | String               | Customer Branch Name                                                                                                                                                                                                                                                             |
| customerbranchno                                   | String               | Customer Branch No                                                                                                                                                                                                                                                               |
| customercode                                       | String               | Customer Code                                                                                                                                                                                                                                                                    |
| agent                                              | Agent                | Agent Detail                                                                                                                                                                                                                                                                     |
| ∟ name                                             | String               | Agent Name                                                                                                                                                                                                                                                                       |
| ∟ phone                                            | String               | Agent Phone                                                                                                                                                                                                                                                                      |
| ∟ email                                            | String               | Agent Email                                                                                                                                                                                                                                                                      |
| ∟ address                                          | String               | Agent Address                                                                                                                                                                                                                                                                    |
| expiredate                                         | String               | <p>Expired Date<br>Ex. "2021-09-15"</p>                                                                                                                                                                                                                                          |
| properties                                         | Property (Array)     | Custom Properties List                                                                                                                                                                                                                                                           |
| ∟ id                                               | Int                  | <p>Property ID</p><p>\*Must have either id or name</p>                                                                                                                                                                                                                           |
| ∟ value                                            | String               | Property Value                                                                                                                                                                                                                                                                   |
| ∟ name                                             | String               | <p>Property Name Require if id = 0 or null</p><p>\*Must have either id or name</p>                                                                                                                                                                                               |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. URL" %}
URL : <https://api.zortout.com/api.aspx?method=ADDORDER&version=3>
{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "SO-0001",
  "orderdate": "2021-05-31",
  "amount": 68,
  "shippingamount": 10,
  "vatamount": 0,
  "paymentmethod": "Cash",
  "paymentamount": 50,
  "list": [
    {
      "sku": "P0001",
      "name": "Product1",
      "number": 24,
      "pricepernumber": 2,
      "discount": "0",
      "totalprice": 48
    },
    {
      "sku": "P0002",
      "name": "Product2",
      "number": 1,
      "pricepernumber": 10,
      "discount": "0",
      "totalprice": 10
    }
  ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Update Order Status

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Update status of order.

#### Query Parameters

| Name                                      | Type   | Description                                                                         |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “UPDATEORDERSTATUS”                                                                 |
| status                                    | Int    | <p>1 = Success (Default) <br>3 = Waiting <br>6 = Shipping</p>                       |
| warehousecode                             | String | Warehouse Code                                                                      |
| number                                    | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                   |
| format                                    | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Update Order Payment

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Update payment of order.

#### Query Parameters

| Name                                            | Type   | Description                                                                         |
| ----------------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>        | String | “UPDATEORDERPAYMENT”                                                                |
| verifyslipid                                    | Int    | Verify Slip ID                                                                      |
| paymentdate                                     | String | <p>Payment Datetime <br>Ex. “2021-09-15 21:05”</p>                                  |
| paymentamount<mark style="color:red;">\*</mark> | Double | Payment Amount                                                                      |
| paymentmethod<mark style="color:red;">\*</mark> | String | Payment Method                                                                      |
| number                                          | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                              | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark>       | String | 3                                                                                   |
| format                                          | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Verify Slip

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Verify slip of order.

#### Path Parameters

| Name                                       | Type   | Description                                                                         |
| ------------------------------------------ | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>   | String | “VERIFYORDERSLIP”                                                                   |
| id                                         | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark>  | String | 3                                                                                   |
| format                                     | String | json (Default), xml                                                                 |
| filename<mark style="color:red;">\*</mark> | String | File Name                                                                           |
| number                                     | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |

#### Query Parameters

| Name                                       | Type   | Description                                                                         |
| ------------------------------------------ | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>   | String | “VERIFYORDERSLIP”                                                                   |
| filename<mark style="color:red;">\*</mark> | String | File Name                                                                           |
| number                                     | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                         | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark>  | String | 3                                                                                   |
| format                                     | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

#### Request Body

| Name                                   | Type | Description      |
| -------------------------------------- | ---- | ---------------- |
| file<mark style="color:red;">\*</mark> | File | File Binary Data |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Update Partial Order

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Update partial product of order.

#### Query Parameters

| Name                                      | Type   | Description                                                                         |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "UPDATEPARTIALORDER"                                                                |
| number                                    | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                   |
| format                                    | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

#### Request Body

| Name                                       | Type                 | Description                                                                                   |
| ------------------------------------------ | -------------------- | --------------------------------------------------------------------------------------------- |
|                                            | OrderProduct (Array) | Product List                                                                                  |
| ∟ productid                                | Int                  | <p>Product ID</p><p>\*Must have either productid or sku</p>                                   |
| ∟ sku                                      | String               | <p>Product Sku Require if productid = 0 or null</p><p>\*Must have either productid or sku</p> |
| ∟ number<mark style="color:red;">\*</mark> | Double               | Product Quantity                                                                              |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. Request JSON" %}

```
[
    {
      "sku": "P0001",
      "number": 24
    },
    {
      "productid": 1234,
      "number": 25
    }
]
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Edit Order Info

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Edit order info.

#### Query Parameters

| Name                                      | Type   | Description                                                                         |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “EDITORDERINFO”                                                                     |
| number                                    | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                   |
| format                                    | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

#### Request Body

| Name               | Type           | Description                                 |
| ------------------ | -------------- | ------------------------------------------- |
| number             | String         | Order Number                                |
| trackingno         | String         | Tracking No                                 |
| shippingemail      | String         | Shipping Email                              |
| shippingphone      | String         | Shipping Phone                              |
| shippingaddress    | String         | Shipping Address                            |
| shippingname       | String         | Shipping Name                               |
| shippingdate       | String         | <p>Shipping Date</p><p>Ex. “2021-09-15”</p> |
| shippingchannel    | String         | Shipping Channel                            |
| customeraddress    | String         | Customer Address                            |
| customerphone      | String         | Customer Phone                              |
| customeremail      | String         | Customer Email                              |
| customeridnumber   | String         | Customer ID Number/Tax ID                   |
| customername       | String         | Customer Name                               |
| orderdate          | String         | <p>Order Date<br>Ex. “2021-09-15”</p>       |
| tag                | String (Array) | Tag List (Array)                            |
| saleschannel       | String         | Sales Channel                               |
| description        | String         | Description                                 |
| customercode       | String         | Customer Code                               |
| customerbranchno   | String         | Customer Branch No                          |
| customerbranchname | String         | Customer Branch Name                        |
| agent              | Agent          | Agent Detail                                |
| ∟ email            | String         | Agent Email                                 |
| ∟ phone            | String         | Agent Phone                                 |
| ∟ name             | String         | Agent Name                                  |
| ∟ address          | String         | Agent Address                               |
| expiredate         | String         | <p>Expired Date<br>Ex. “2021-09-15”</p>     |
| reference          | String         | Reference                                   |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "SO-0001",
  "orderdate": "2021-05-31"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Edit Order

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Edit order.

#### Query Parameters

| Name                                      | Type   | Description                                                                         |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “EDITORDER”                                                                         |
| number                                    | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                   |
| format                                    | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

#### Request Body

| Name                                               | Type                 | Description                                                                                                                                                                                                                                                                      |
| -------------------------------------------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| number                                             | String               | Order Number                                                                                                                                                                                                                                                                     |
| shippingname                                       | String               | Shipping Name                                                                                                                                                                                                                                                                    |
| shippingdate                                       | String               | <p>Shipping Date</p><p>Ex. “2021-09-15”</p>                                                                                                                                                                                                                                      |
| shippingchannel                                    | String               | Shipping Channel                                                                                                                                                                                                                                                                 |
| customerbranchno                                   | String               | Customer Branch No                                                                                                                                                                                                                                                               |
| customerbranchname                                 | String               | Customer Branch Name                                                                                                                                                                                                                                                             |
| customeraddress                                    | String               | Customer Address                                                                                                                                                                                                                                                                 |
| customerphone                                      | String               | Customer Phone                                                                                                                                                                                                                                                                   |
| customeremail                                      | String               | Customer Email                                                                                                                                                                                                                                                                   |
| customeridnumber                                   | String               | Customer ID Number/Tax ID                                                                                                                                                                                                                                                        |
| customername                                       | String               | Customer Name                                                                                                                                                                                                                                                                    |
| customercode                                       | String               | Customer Code                                                                                                                                                                                                                                                                    |
| saleschannel                                       | String               | Sales Channel                                                                                                                                                                                                                                                                    |
| description                                        | String               | Description                                                                                                                                                                                                                                                                      |
| reference                                          | String               | Reference                                                                                                                                                                                                                                                                        |
| expiredate                                         | String               | <p>Expired Date<br>Ex. “2021-09-15”</p>                                                                                                                                                                                                                                          |
| orderdate                                          | String               | <p>Order Date<br>Ex. “2021-09-15”</p>                                                                                                                                                                                                                                            |
| trackingno                                         | String               | Tracking No                                                                                                                                                                                                                                                                      |
| shippingemail                                      | String               | Shipping Email                                                                                                                                                                                                                                                                   |
| shippingphone                                      | String               | Shipping Phone                                                                                                                                                                                                                                                                   |
| shippingaddress                                    | String               | Shipping Address                                                                                                                                                                                                                                                                 |
| ∟ address                                          | String               | Agent Address                                                                                                                                                                                                                                                                    |
| ∟ email                                            | String               | Agent Email                                                                                                                                                                                                                                                                      |
| ∟ phone                                            | String               | Agent Phone                                                                                                                                                                                                                                                                      |
| ∟ name                                             | String               | Agent Name                                                                                                                                                                                                                                                                       |
| agent                                              | Agent                | Agent Detail                                                                                                                                                                                                                                                                     |
| tag                                                | String (Array)       | Tag List (Array)                                                                                                                                                                                                                                                                 |
| discount                                           | String               | <p>Discount <br>Ex. 5.00, 10%</p>                                                                                                                                                                                                                                                |
| shippingvat                                        | Int                  | <p>Shipping Vat Status <br>0 - No Shipping Vat (Default) <br>1 – Have Shipping Vat</p>                                                                                                                                                                                           |
| shippingamount                                     | Double               | Shipping Amount                                                                                                                                                                                                                                                                  |
| vattype                                            | Int                  | <p>Vat Type <br>1 – No Vat<br>2 – Exclude Vat<br>3 – Include Vat<br>If vattype is not defined, the system will use vatamount to calculate and define automatically.<br>If vattype = 1, 2 or 3, the system will ignore vatamount and calculate vatamount value automatically.</p> |
| vatamount                                          | Double               | Vat Amount                                                                                                                                                                                                                                                                       |
| amount<mark style="color:red;">\*</mark>           | Double               | Net Amount                                                                                                                                                                                                                                                                       |
| ∟ number<mark style="color:red;">\*</mark>         | Double               | Product Quantity                                                                                                                                                                                                                                                                 |
| ∟ name<mark style="color:red;">\*</mark>           | String               | Product Name                                                                                                                                                                                                                                                                     |
| ∟ sku<mark style="color:red;">\*</mark>            | String               | Product Sku                                                                                                                                                                                                                                                                      |
| list                                               | OrderProduct (Array) | Product List                                                                                                                                                                                                                                                                     |
| ∟ totalprice<mark style="color:red;">\*</mark>     | Double               | Total Price                                                                                                                                                                                                                                                                      |
| ∟ discount                                         | String               | Discount Per Unit                                                                                                                                                                                                                                                                |
| ∟ pricepernumber<mark style="color:red;">\*</mark> | Double               | Product Price/Quantity                                                                                                                                                                                                                                                           |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "SO-0001",
  "orderdate": "2021-05-31",
  "amount": 68,
  "shippingamount": 10,
  "vatamount": 0,
  "list": [
    {
      "sku": "P0001",
      "name": "Product1",
      "number": 24,
      "pricepernumber": 2,
      "discount": "0",
      "totalprice": 48
    },
    {
      "sku": "P0002",
      "name": "Product2",
      "number": 1,
      "pricepernumber": 10,
      "discount": "0",
      "totalprice": 10
    }
  ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Void Order

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Void order.

#### Query Parameters

| Name                                      | Type   | Description                                                                         |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “VOIDORDER”                                                                         |
| number                                    | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                   |
| format                                    | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Void Order Payment

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Delete payment in order.

#### Query Parameters

| Name                                        | Type   | Description                                                                         |
| ------------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>    | String | “VOIDORDERPAYMENT”                                                                  |
| paymentid<mark style="color:red;">\*</mark> | Int    | Payment ID                                                                          |
| number                                      | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                          | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark>   | String | 3                                                                                   |
| format                                      | String | json (Default), xml                                                                 |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

<table><thead><tr><th width="161.4">Parameter</th><th width="150">Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>resCode</td><td>String</td><td>Response Code <br>200- Success</td></tr><tr><td>resDesc</td><td>String</td><td>Response Description</td></tr></tbody></table>

## Ready To Ship

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Ready to ship. The status will be changed to “Waiting”. If the order is from marketplace, the system will try to update order in marketplace to “Ready to ship”.

#### Query Parameters

| Name                                       | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>   | String | “READYTOSHIP”                                                                                                                                                                                                                                                                                                                                                                                                                   |
| booking                                    | Int    | <p>Booking Request Status</p><p>0 - None (Default)</p><p>1 - Call shipment provider. The available shipment is “flashexpress” (Flash Express), “jtexpress” (J\&T) and “kerry” (Kerry). Support only non-marketplace order.</p>                                                                                                                                                                                                  |
| pickuptime                                 | String | <p>Shopee pickup datetime keyword for pickup.<br>Not Required for Shopee Pickup.</p><p>If this is blank, the system will choose earliest time. <br>Ex. 18-06-2020</p>                                                                                                                                                                                                                                                           |
| address                                    | String | <p>Pickup location keyword for pickup.<br>Required if the shipment is Shopee Pickup.<br>Ex. "10420" - Postcode of pickup location.</p>                                                                                                                                                                                                                                                                                          |
| trackingno                                 | String | <p>Tracking No.</p><p>Not require if shipment by marketplace.</p>                                                                                                                                                                                                                                                                                                                                                               |
| shipment<mark style="color:red;">\*</mark> | String | <p>Shipment provider.<br><br>This is shipping channel, if the order is non-marketplace.<br>If this order is from marketplace, please specify marketplace shipment.<br>Ex.<br><strong>Shopee</strong> - "pickup" or "dropoff"<br><strong>Lazada</strong> - "lex" or default shipping channel of order.<br>If in order doesn't have shipping channel please use "lex".<br><strong>Tiktok Shop</strong>- "pickup" or "dropoff"</p> |
| warehousecode                              | String | Warehouse Code                                                                                                                                                                                                                                                                                                                                                                                                                  |
| number                                     | String | <p>Order Number Require if id = 0 or null</p><p>\*Must have either id or number</p>                                                                                                                                                                                                                                                                                                                                             |
| id                                         | Int    | <p>Order ID</p><p>\*Must have either id or number</p>                                                                                                                                                                                                                                                                                                                                                                           |
| version<mark style="color:red;">\*</mark>  | String | 3                                                                                                                                                                                                                                                                                                                                                                                                                               |
| format                                     | String | json (Default), xml                                                                                                                                                                                                                                                                                                                                                                                                             |

#### Headers

| Name                                        | Type   | Description |
[...]
